ServerGanttDataLocator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.gantt.client
Class ServerGanttDataLocator

    java.lang.Object
      org.openswing.swing.gantt.client.ServerGanttDataLocator

All Implemented Interfaces:
  GanttDataLocator

public class ServerGanttDataLocator
extends java.lang.Object
implements GanttDataLocator

Title: OpenSwing Framework

Description: Class used to retrieve all rows for the gantt control, by calling the server side, using the serverMethodName property and ClientUtils.getData method.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`ServerGanttDataLocator()`

Method Summary
`java.lang.String` | `getServerMethodName()`
`Response` | `loadData(java.util.Map params)` Method invoked by the grid to load a block or rows.
`void` | `setServerMethodName(java.lang.String serverMethodName)` Set the method to call on the server side.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerGanttDataLocator

    public ServerGanttDataLocator()

Method Detail

### loadData

    public Response loadData(java.util.Map params)

  Method invoked by the grid to load a block or rows.

  Specified by:
    `loadData` in interface `GanttDataLocator`
  Parameters:
    `params` - gantt parameters
  Returns:
    response from the server: an object of type VOListResponse if data loading was successfully completed, or an ErrorResponse onject if some error occours

### getServerMethodName

    public final java.lang.String getServerMethodName()

  Returns:
    method to call on the server side

### setServerMethodName

    public final void setServerMethodName(java.lang.String serverMethodName)

  Set the method to call on the server side.

  Parameters:
    `serverMethodName` - method to call on the server side

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD